Share via


Firewall Rules - Create Or Update

Creates or updates a firewall rule.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/firewallRules/{firewallRuleName}?api-version=2025-01-01

URI Parameters

Name In Required Type Description
firewallRuleName
path True

string

The name of the firewall rule.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
name

string

Resource name.

properties.endIpAddress

string

The end IP address of the firewall rule. Must be IPv4 format. Must be greater than or equal to startIpAddress. Use value '0.0.0.0' for all Azure-internal IP addresses.

properties.startIpAddress

string

The start IP address of the firewall rule. Must be IPv4 format. Use value '0.0.0.0' for all Azure-internal IP addresses.

Responses

Name Type Description
200 OK

FirewallRule

Resource 'FirewallRule' update operation succeeded

201 Created

FirewallRule

Resource 'FirewallRule' create operation succeeded

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Create a firewall rule max/min
Update a firewall rule max/min

Create a firewall rule max/min

Sample request

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/firewallrulecrudtest-12/providers/Microsoft.Sql/servers/firewallrulecrudtest-6285/firewallRules/firewallrulecrudtest-5370?api-version=2025-01-01

{
  "properties": {
    "endIpAddress": "0.0.0.3",
    "startIpAddress": "0.0.0.3"
  }
}

Sample response

{
  "name": "firewallrulecrudtest-5370",
  "type": "Microsoft.Sql/servers/firewallRules",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/firewallrulecrudtest-12/providers/Microsoft.Sql/servers/firewallrulecrudtest-6285/firewallRules/firewallrulecrudtest-5370",
  "properties": {
    "endIpAddress": "0.0.0.3",
    "startIpAddress": "0.0.0.3"
  }
}
{
  "name": "firewallrulecrudtest-5370",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/firewallrulecrudtest-12/providers/Microsoft.Sql/servers/firewallrulecrudtest-6285/firewallRules/firewallrulecrudtest-5370",
  "properties": {
    "endIpAddress": "0.0.0.3",
    "startIpAddress": "0.0.0.3"
  }
}

Update a firewall rule max/min

Sample request

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/firewallrulecrudtest-12/providers/Microsoft.Sql/servers/firewallrulecrudtest-6285/firewallRules/firewallrulecrudtest-3927?api-version=2025-01-01

{
  "properties": {
    "endIpAddress": "0.0.0.1",
    "startIpAddress": "0.0.0.1"
  }
}

Sample response

{
  "name": "firewallrulecrudtest-3927",
  "type": "Microsoft.Sql/servers/firewallRules",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/firewallrulecrudtest-12/providers/Microsoft.Sql/servers/firewallrulecrudtest-6285/firewallRules/firewallrulecrudtest-3927",
  "properties": {
    "endIpAddress": "0.0.0.1",
    "startIpAddress": "0.0.0.1"
  }
}
{
  "name": "firewallrulecrudtest-3927",
  "type": "Microsoft.Sql/servers/firewallRules",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/firewallrulecrudtest-12/providers/Microsoft.Sql/servers/firewallrulecrudtest-6285/firewallRules/firewallrulecrudtest-3927",
  "properties": {
    "endIpAddress": "0.0.0.1",
    "startIpAddress": "0.0.0.1"
  }
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

FirewallRule

A server firewall rule.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

FirewallRule

A server firewall rule.

Name Type Description
id

string

Resource ID.

name

string

Resource name.

properties.endIpAddress

string

The end IP address of the firewall rule. Must be IPv4 format. Must be greater than or equal to startIpAddress. Use value '0.0.0.0' for all Azure-internal IP addresses.

properties.startIpAddress

string

The start IP address of the firewall rule. Must be IPv4 format. Use value '0.0.0.0' for all Azure-internal IP addresses.

type

string

Resource type.